Package htsjdk.samtools.util

# Class CustomGzipOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
java.util.zip.DeflaterOutputStream
java.util.zip.GZIPOutputStream
htsjdk.samtools.util.CustomGzipOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class CustomGzipOutputStream extends GZIPOutputStream
Hacky little class used to allow us to set the compression level on a GZIP output stream which, for some bizarre reason, is not exposed in the standard API.

## Field Summary

### Fields inherited from class java.util.zip.GZIPOutputStream

`crc`

### Fields inherited from class java.util.zip.DeflaterOutputStream

`buf, def`

### Fields inherited from class java.io.FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`CustomGzipOutputStream(OutputStream outputStream, int compressionLevel)`
`CustomGzipOutputStream(OutputStream outputStream, int bufferSize, int compressionLevel)`

## Method Summary

### Methods inherited from class java.util.zip.GZIPOutputStream

`finish, write`

### Methods inherited from class java.util.zip.DeflaterOutputStream

`close, deflate, flush, write`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CustomGzipOutputStream

public CustomGzipOutputStream(OutputStream outputStream, int bufferSize, int compressionLevel) throws IOException

Throws:
  `IOException`

### CustomGzipOutputStream

public CustomGzipOutputStream(OutputStream outputStream, int compressionLevel) throws IOException

Throws:
  `IOException`